Get all export requests - Fabric
Get all export requests
cURL
curl --request GET \
--url 'https://live.copilot.fabric.inc/api-offers/offers-exports?size=10' \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
import requests
url = "https://live.copilot.fabric.inc/api-offers/offers-exports?size=10"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://live.copilot.fabric.inc/api-offers/offers-exports?size=10', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
Example Response
{
"query": {
"size": 10,
"offset": 10,
"count": 50
},
"data": [
{
"exportId": "ab50fe48-5da0-4e77-92d1-bb629eedf19e",
"startedAt": "2023-05-17T21:24:52.398Z",
"status": "IN_PROGRESS",
"type": "REDEMPTION",
"endedAt": "null",
"totalDataExported": 0,
"fileId": "redemption/tenantId/1687294954996-redemption-export.csv"
}
]
}
{
"code": "REQUEST_VALIDATION",
"message": "Size should be a valid number."
}
{
"code": "UNAUTHORIZED",
"message": "Invalid credentials"
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}
Authorizations
- Authorization: string, required, Bearer authentication header of the form
Bearer <token>.
- x-site-context: string, required. JSON object containing information about the source (account, channel, stage, date).
Query Parameters
- size: integer (default: 10). Required range:
1 <= x <= 100.
- offset: integer (default: 0). Required range:
x >= 0.
- sort: string. Field to sort export requests.
- type: enum (options:
REDEMPTION, CALCULATED_PRICE).
Response Structure
- query: object that provides pagination data.
- data: array of response data.